Package picard.analysis

# Class GcBiasMetricsCollector

java.lang.Object
picard.metrics.MultiLevelCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>
picard.analysis.GcBiasMetricsCollector

public class GcBiasMetricsCollector extends MultiLevelCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>
Calculates GC Bias Metrics on multiple levels Created by kbergin on 3/23/15.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`GcBiasMetricsCollector.PerUnitGcBiasMetricsCollector`

## Field Summary

### Fields inherited from class picard.metrics.MultiLevelCollector

`UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`GcBiasMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, int[] windowsByGc, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, int scanWindowSize, boolean bisulfite)`
`GcBiasMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, int[] windowsByGc, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, int scanWindowSize, boolean bisulfite, boolean ignoreDuplicates)`

## Method Summary

Modifier and Type
Method
Description
`protected picard.analysis.GcBiasCollectorArgs`
`makeArg(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)`
`protected PerUnitMetricCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>`
`makeChildCollector(String sample, String library, String readGroup)`
Construct a PerUnitMetricCollector with the given arguments.

### Methods inherited from class picard.metrics.MultiLevelCollector

`acceptRecord, addAllLevelsToFile, finish, getAllReadsCollector, makeAllReadCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GcBiasMetricsCollector

public GcBiasMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, int[] windowsByGc, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, int scanWindowSize, boolean bisulfite)

### GcBiasMetricsCollector

public GcBiasMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, int[] windowsByGc, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, int scanWindowSize, boolean bisulfite, boolean ignoreDuplicates)

## Method Details

### makeArg

protected picard.analysis.GcBiasCollectorArgs makeArg(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)

Specified by:
  `makeArg` in class `MultiLevelCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>`

### makeChildCollector

protected PerUnitMetricCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs> makeChildCollector(String sample, String library, String readGroup)
Description copied from class: `MultiLevelCollector`
Construct a PerUnitMetricCollector with the given arguments.

Specified by:
  `makeChildCollector` in class `MultiLevelCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>`
Parameters:
  `sample` - If aggregating by ALL_READS this will be null, otherwise the sample that will be used to identify this collector
  `library` - If aggregating by SAMPLE this will be null, otherwise the library that will be used to identify this collector
  `readGroup` - If aggregating by LIBRARY this will be null, otherwise the readGroup that will be used to identify this collector
Returns:
  A PerUnitMetricCollector parameterized by the given arguments